# coding: utf-8

import unidecode
import unicodedata
import string


def remove_accents(s):
    return u''.join((c for c in unicodedata.normalize('NFD', s) if unicodedata.category(c) != 'Mn'))

def remove_punctuation(s):
    return s.encode('utf-8').translate(string.maketrans("",""), string.punctuation).decode('utf-8')

def remove_annoying_chars(s):
    """ Removes leftovers char. Only returns char between 32 (Space) and 127 (~)"""
    return u''.join( [c for c in s if 32 <= ord(c) <= 127 ])

def cleanup_string(s):
    if type(s) is str:
        s = s.decode('utf-8')
    return remove_annoying_chars(unidecode.unidecode(remove_punctuation(remove_accents(s))).decode('utf-8'))
