from migrate_meta2 import MigrationMeta2

from lima.tools.threads import threading
from lima.meta.scheduler import metagc, indexer

# for locking
from lima.meta import locks

import logging
logger = logging.getLogger(__name__)


class MetaMigrator(threading.Thread):

    def __init__(self):
        super(MetaMigrator, self).__init__()
        self.migrations = [MigrationMeta2(), ]
        self.migrations = sorted(self.migrations, key=lambda x: x.order)
        self.wait_delay = 60 * 15  # 15 minutes

    def __repr__(self):
        return "migrator"

    def execute(self):
        while not self._kill_event.isSet():
            if not self._resume_event.wait(0.1):
                continue
            if not self._resume_event.isSet():
                continue
            with locks.FSWATCHER_LOCK:
                with locks.BLACKBOARD_LOCK:
                    for m in self.migrations:
                        m.migrate()
            self.wait(self.wait_delay)
        logger.info(u"Bye")
