from lima.models import *
from lima.meta.blackboard.agents.storage import AgentStorage

import logging
logger = logging.getLogger(__name__)


def up():
    #
    nodes = LimaNode.select().where( ~(LimaNode.content_type >> None ) )

    for node in nodes[:]:
        storage = None
        try:
            storage = AgentStorage(node.path)

            context = storage.getmeta_internal("context", {})
            context["content_type"] = node.content_type
            storage.setmeta("context", context)
            storage.setmeta("content_type", node.content_type)

            logger.debug("Fixed content_type for %s", node.path)
        except:
            logger.warn("Error while fixing %s", node.path)
        finally:
            try:
                if storage is not None:
                    storage.unload()
            except:
                logger.warn("Could not unload storage")



def down():
    print("No down.")
