# coding: utf-8
import os
import sys
import psutil

import logging
logger = logging.getLogger(__name__)


def configure():
    is_windows = sys.platform.startswith("win")
    if is_windows:
        SEM_NOGPFAULTERRORBOX = 0x0002
        import ctypes
        # We call SetErrorMode in two steps to avoid overriding
        # existing error mode.
        previous_error_mode = \
            ctypes.windll.kernel32.SetErrorMode(SEM_NOGPFAULTERRORBOX)
        ctypes.windll.kernel32.SetErrorMode(
            previous_error_mode | SEM_NOGPFAULTERRORBOX
        )


def set_process_priority():
    # set process priority to the lower possible
    p = psutil.Process(os.getpid())
    try:
        try:
            # windows
            p.nice(psutil.BELOW_NORMAL_PRIORITY_CLASS)
        except AttributeError:
            # *nix
            p.nice(19)
        logger.info("Process priority reduced.")
    except Exception:
        logger.exception("Could not reduce process priority")


def is_windows():
    return sys.platform.startswith("win")
