import os
github_https = os.environ.get("GITHUB_HTTPS", "n") == "y"

def _lima(repo):
    if github_https:
        return "git+https://github.com/MeetLima/%s" % repo
    else:
        return "git+ssh://git@github.com/MeetLima/%s" % repo

DEPS = [
    {
        'name': 'pydep',
        'embedded': True,
        'subdir': 'pydep',
        'hidden': True,
    },
    {
        'name': 'u-msgpack-python',
        'module': 'umsgpack',
        'version': 'v2.1',
        'license': 'MIT',
        'repo': True,
        'url': _lima('u-msgpack-python.git@v2.1-lima'),
    },
    {
        'name': 'validate_email',
        'version': 'v1.3',
        'license': 'LGPL',
        'url': 'https://github.com/syrusakbary/validate_email',
    },
    {
        'name': 'analytics-python',
        'version': '1.1.0',
        'license': 'MIT',
        'url': 'https://segment.com/docs/libraries/python',
        'module': 'analytics',
    },
    {
        'name': 'lima',
        'repo': True,
        'url': [
            _lima('lima-meta-gnsdk-python.git'),
            _lima('pytmdb3.git'),
            _lima('hsaudiotag.git'),
            _lima('lima-meta.git@develop'),
            _lima('lima-guessit.git'),
        ],
        'hidden': True,
    },
]
